Bug 544902 - screensaver does not shut off when playing full screen video
screensaver does not shut off when playing full screen video
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: gnome-screensaver (Show other bugs)
12
i686 Linux
low Severity medium
: ---
: ---
Assigned To: jmccann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-06 19:42 EST by martygeek
Modified: 2015-01-14 18:24 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-07 14:25:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description martygeek 2009-12-06 19:42:46 EST
Description of problem:
  when playing a video, the gnome screensaver does not turn off. I have to either adjust the idle time far outwards or disable the screensaver to watch a movie uninterrupted. In F11 this was not a problem and watching a movie uninterrupted was ok.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. set screen saver idle time to be less than length of video
2. watch a video in full screen - I use VLC
3. when idle time is reached, video goes out.
  
Actual results:
have to get up from my comfy couch and touch mouse or keyboard

Expected results:
I should be able to be a couch potato and not move. I'm lazy

Additional info:
Comment 1 Matthias Clasen 2009-12-07 14:25:33 EST
It is the reponsibility of whatever app you use to tell the screensaver that it is not needed right now. The modern mechanism for doing so it use an 'inhibit' 
using the org.gnome.SessionManager.Inhibit() method.

I recommend that you file a bug against your media player app, pointing them to http://www.gnome.org/~mccann/gnome-session/docs/gnome-session.html#org.gnome.SessionManager.Inhibit

Note You need to log in before you can comment on or make changes to this bug.